Ask / Submit
0

[Solved] Sailfish claims 1.0.5.19 is the latest version

asked 2014-06-09 21:32:25 +0300

WhyNotHugo gravatar image

updated 2014-07-31 14:07:17 +0300

jiit gravatar image

Heading to Settings>System>About shows my version is 1.0.5.19 (Paarlampi), and that it's the latest version (even after pulling down "Check for updates").

After working around the phone using a broken DNS server, all I get is:

# pkcon -v refresh
15:17:48        PackageKit          Verbose debugging enabled (on console 1)
15:17:48        PackageKit          notify::connected
15:17:48        PackageKit          filter=(null), filters=0
15:17:48        PackageKit          adding state 0x41dafcf0
15:17:48        PackageKit          role now refresh-cache
Refreshing cache                                                              
Waiting in queue                                                              
Waiting for authentication                                                    
Waiting in queue                              [                      ] (0%)  15:17:48  PackageKit          emit transaction-list-changed

Starting                                                                       
Refreshing software list                      [======================]        15:20:21 PackageKit          remove state 0x41dafcf0

The UI still claims it's the latest version. What else should I do to get around this? Is there any way to manually upgrade?

edit retag flag offensive close delete

Comments

2 Answers

Sort by » oldest newest most voted
5

answered 2014-06-09 21:35:07 +0300

nthn gravatar image

If you are not a 'first one', you have to wait a bit longer to get the update. In that case this isn't a bug.

edit flag offensive delete publish link more

Comments

Does "first one" refer to the first batch of pre-orders? Because I purchased this phone with the first group of available pre-orders.

WhyNotHugo ( 2014-06-09 21:39:36 +0300 )edit
3

It refers to "the First One" TOH owners.

Janzzu ( 2014-06-09 21:48:21 +0300 )edit

Yes, that's what I meant: I own one of those devices, and I'm using the account used to order it.

WhyNotHugo ( 2014-06-10 00:30:41 +0300 )edit
1

answered 2014-06-10 10:56:45 +0300

WhyNotHugo gravatar image

After several hours the update became available. Looks like something went wrong on Jolla's side and I didn't get the update as a first one, even though the device (and account) are from the first batch of pre-orders.

edit flag offensive delete publish link more
Login/Signup to Answer

Question tools

Follow
1 follower

Stats

Asked: 2014-06-09 21:32:25 +0300

Seen: 335 times

Last updated: Jun 10 '14